Subject: (none)

From: [email-masked] ("Chen, Zhixiang")
Date: 14 Jul 1995 06:38:09 -0700

Hi:
I am looking for rice cell cultures that grow relatively fast (with doubling
time of 2-3 days instead of 7-10 days with the cultures I have now).  Does
anybody have or know somebody have this type of cultures?  Z. Chen.